package VistaControlador;

import java.awt.Dimension;
import java.awt.GridBagConstraints;

import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JTextArea;

import Logica.Gestion;

public class VistaPanelLateral extends JPanel{
	protected JTextArea total;
	protected JTextArea gastoEnvio;
	protected JButton elegirMes;
	protected JButton mostrarEstadisticas;
	
	VistaPanelLateral(GridBagConstraints constrain){
		this.setPreferredSize(new Dimension(200,200));
		this.total=new JTextArea();
		this.gastoEnvio=new JTextArea();
		this.elegirMes=new JButton("Elegir mes");
		this.mostrarEstadisticas=new JButton("Mostrar grafico del mes");
		this.add(this.mostrarEstadisticas);
		constrain.gridx=1;
		constrain.gridy=0;
		constrain.weightx=2;
		this.add(this.elegirMes);
		constrain.gridx=1;
		constrain.gridy=1;
		constrain.weightx=2;
		this.add(this.total);
		constrain.gridx=1;
		constrain.gridy=2;
		constrain.weightx=2;
		this.add(this.gastoEnvio);
	}
	
	void actualizarDatos(Gestion gestion) {
		this.total.setText("Total: "+String.valueOf(Gestion.getTotal())+"€");
		this.gastoEnvio.setText("Suma: "+String.valueOf(gestion.getSuma())+"€");
	}
	
}
