package VistaControlador;

import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;
import javax.swing.JTextArea;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import Logica.Gestion;

public class Menu extends JFrame{
	protected JPanel panelCentral;
	protected JTabbedPane pestania;
	protected VistaAniadirVisualizar ingresos;
	protected VistaAniadirVisualizar gastos;
	protected VistaPanelLateral panel;
	protected Gestion datosGastos;
	protected Gestion datosIngresos;
	public Menu() {
		this.datosGastos=new Gestion();
		this.datosIngresos=new Gestion();
		this.setLayout(new GridBagLayout());
		GridBagConstraints constrain=new GridBagConstraints();
		this.panel=new VistaPanelLateral(constrain);
		this.ingresos=new VistaAniadirVisualizar(this,datosIngresos,true);
		this.gastos=new VistaAniadirVisualizar(this,datosGastos,false);
		this.panelCentral=new JPanel();
		this.pestania=new JTabbedPane();
		constrain.fill=GridBagConstraints.VERTICAL;
		constrain.gridx=0;
		constrain.gridy=0;
		constrain.weightx=2;
		this.panelCentral.add(pestania,constrain);
		this.pestania.addTab("Ingresos", ingresos);
		this.pestania.addTab("Gastos", gastos);
		getContentPane().add(pestania);
		setTitle("Titulo");
		setSize(new Dimension(420,320));
		setDefaultCloseOperation(3);
		setLocationRelativeTo(null);
		ControladorAniadirVisualizar controlador=new ControladorAniadirVisualizar(this.ingresos);
		ControladorAniadirVisualizar controlador2=new ControladorAniadirVisualizar(this.gastos);
		ControladorPanelLateral controlador3=new ControladorPanelLateral(this.panel);
		/*constrain.fill=GridBagConstraints.HORIZONTAL;
		constrain.gridx=1;
		constrain.gridy=0;
		constrain.weightx=1;
		constrain.weighty=2;*/
		this.panel.actualizarDatos(datosIngresos);
		this.pestania.addChangeListener((ChangeListener)->{
			if(this.pestania.getSelectedIndex()==0) {
				this.panel.actualizarDatos(datosIngresos);
			}else {
				this.panel.actualizarDatos(datosGastos);
			}
		});
		this.add(this.panel);
	}
	
	
	
}
